package com.fastbee.data.controller.aaScreenAgricultural;

import com.baomidou.mybatisplus.extension.conditions.query.LambdaQueryChainWrapper;
import com.fastbee.common.core.controller.BaseController;
import com.fastbee.common.core.domain.AjaxResult;
import com.fastbee.common.core.page.TableDataInfo;
import com.fastbee.deviceData.domain.DeviceRealtimedataPhotovoltaic;
import com.fastbee.deviceData.domain.DeviceRealtimedataWorms;
import com.fastbee.deviceData.mapper.*;
import org.redisson.config.BaseConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author mijiupro
 */
@RestController
@RequestMapping("/device/history/data")
public class DeviceHistoryDataController extends BaseController {

    @Autowired
    private DeviceRealtimedataWormsMapper deviceRealtimedataWormsMapper;

    @Autowired
    private DeviceRealtimedataPhotovoltaicMapper deviceRealtimedataPhotovoltaicMapper;

    @Autowired
    private DeviceRealtimedataMoistureMapper deviceRealtimedataMoistureMapper;

    @Autowired
    private DeviceRealtimedataMiaoqingMapper deviceRealtimedataMiaoqingMapper;

    @Autowired
    private DeviceRealtimedataMeteorologyMapper deviceRealtimedataMeteorologyMapper;


    /**
     * 获取虫情设备历史数据
     */
    @GetMapping("/worms")
    public TableDataInfo getWormsHistoryData(DeviceRealtimedataWorms deviceRealtimedataWorms){
        startPage();
        //虫害图片
        List<DeviceRealtimedataWorms> list = new LambdaQueryChainWrapper<>(deviceRealtimedataWormsMapper)
                .eq(DeviceRealtimedataWorms::getDeviceAddr,deviceRealtimedataWorms.getDeviceAddr()).list();
        //虫害列表
        return getDataTable(list);
    }
    /**
     * 获取墒情设备历史数据
     */
    @GetMapping("/moisture/{deviceId}")
    public AjaxResult getMoistureHistoryData(DeviceRealtimedataPhotovoltaic deviceRealtimedataPhotovoltaic){

        List<DeviceRealtimedataPhotovoltaic> list = new LambdaQueryChainWrapper<>(deviceRealtimedataPhotovoltaicMapper)
                .eq(DeviceRealtimedataPhotovoltaic::getDeviceId,deviceRealtimedataPhotovoltaic.getDeviceId()).list();
        return success(list);
    }
    /**
     * 获取气象设备历史数据
     */
    @GetMapping("/meteorology/{deviceId}")
    public AjaxResult getMeteorologyHistoryData(String deviceId){
        return null;
    }




}
